> For the complete documentation index, see [llms.txt](https://docs.datasentinel.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/adding-connection.md).

# Adding Connection

## Agent-based

> Illustration executed through the [Agent CLI](/manual/implementation/agent-usage/cli.md)

```bash
cat > myInstance.json <<EOF
{
  "host": "host_name",
  "port": postgres_port,
  "user": "datasentinel",
  "password": "myPassword",
  "tags": "application=application_name,environment=application_type,datacenter=datacenter"
}
EOF
```

{% hint style="info" %}
Replace **MyConnectionName** with a meaningful connection name in your environment.
{% endhint %}

{% code title="Example with the agent CLI" %}

```bash
datasentinel add connection myConnectionName -f myInstance.json
```

{% endcode %}

{% hint style="info" %}
A script is present in the **datasentinel** subdirectory as an example named **connection\_example.sh**
{% endhint %}

The tags are customizable, allowing you to define your own tags.\
They are extremely useful in the user interface for filtering, grouping data, and defining role-based access.

{% content-ref url="/pages/6qMO1VXnEBOK7n0cig6O" %}
[Tags](/manual/features/tips-and-hints/tags.md)
{% endcontent-ref %}

## Agentless

> Refer to Agentless Documentation

{% content-ref url="/pages/qnpku9OgUlxQYdp69B54" %}
[Agentless Monitoring](/manual/features/other-features/agentless-monitoring.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/adding-connection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
